@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.formContainer {
  width: 569px;
  min-height: calc(100vh - 250px);
  // max-height: 1220px;
  justify-content: space-between;
  flex-shrink: 0;
  padding: 0;
}

.block {
  display: flex;
  padding: 30px 35px 20px;
  justify-content: space-between;
  border-bottom: 1px solid $lightBlueColor;

  & > div:first-child {
    width: 100%;
  }

  & > div:last-child {
    width: 100%;
    max-width: 188px;
  }

  &:last-child {
    border-bottom: none;
  }

  .extendedTitle {
    margin-bottom: 35px;
  }

  .titleContainer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: 0.4s;

    .levelInfo {
      .title {
        display: flex;
        align-items: center;
        margin-bottom: 13px;

        & > div:first-child {
          @include font($fontGotham, 16px, 19.2px);
          color: $blackColor;
          margin-right: 10px;
        }

        & > div:last-child {
          @include font($fontGotham, 12px, 14.4px);
          color: $greyText;
        }
      }

      .sectionsContainer {
        display: flex;

        .section {
          display: flex;
          margin-right: 15px;

          & > div:first-child {
            @include font($fontGotham, 12px, 14.4px);
            color: $greyColor;
            margin-right: 5px;
          }

          & > div:last-child {
            @include font($fontGotham, 14px, 16.8px);
            color: $blackColor;
          }
        }
      }
    }

    .exclusionBtn {
      border-radius: 5px !important;
    }
  }
}

.firstRow {
  & > div:first-child {
    max-width: 302px;
  }
}

.columnBlock {
  flex-direction: column;

  & > div:last-child {
    width: 100%;
    max-width: initial;
  }
}

.inputGroup {
  max-width: initial !important;
  display: flex;
  justify-content: space-between;
  gap: 10px;

  .column {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    & > div:first-child {
      margin-bottom: 25px;
    }

    .levelSelect {
      width: 100%;
    }

    .label {
      color: $greyColor !important;
    }
  }
}

.buttons {
  padding: 12px 35px 35px;

  & button {
    max-width: 245px;
  }
}

.exclusionContainer {
  margin-top: 35px;
  transition: 0.4s;

  .title {
    @include font($fontGotham, 14px, 16.8px);
    color: $primaryColor;
    margin-bottom: 15px;
  }

  .dataItem {
    display: flex;

    & > div:first-child {
      width: 173px !important;
    }
  }

  .section {
    padding: 0 19px;

    &:first-child {
      padding-left: 0;
    }

    &:last-child {
      padding-right: 0;
    }

    .sectionSubtitle {
      @include font($fontGotham, 12px, 14.4px);
      color: $greyColor;
    }
    .value {
      @include font($fontGotham, 16px, 19.2px);
      color: $greyText;
    }
  }
}
